Subject: Re: ld -r
From: [email-masked] (Shankar Unni)

24 Apr 1997 20:29:25 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Jimen Ching)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Jimen Ching" at Apr 23, 97 03:49:45 pm
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Jimen Ching said:

> I'm trying to do incremental linking using the -r option.  But I get
> an error doing the following.
> ld -r -o a1x.o a12.o a13.o a14.o
> ld -r -o a2x.o a21.o a22.o
> ld -r -o axx.o a1x.o a2x.o
> The last line gives an error about unknown format for the input files.
> What am I doing wrong?

Nothing.

I know that at least the stock 2.7.* binutils have real problems with doing
relocatable links of PE objects. The objects they produce have several
problems: (a) they produce PEI instead of PE objects for ld -r, (b) many
structures inside the object file are corrupted (e.g. the relocation
records), and on and on..

It's possible that Cygnus has fixed some of these problems in their copy of
binutils, but there are still lots of problems..

For now, the best thing may be to not use ld -r at all. There's rarely any
reason these days..
-- 
Shankar Unni                                  [email-masked]
Chromatic Research                            (408) 752-9488
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".